Subject: Re: bug#43532: [feature/native-comp] *.eln file name hashing algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained Emacs.app builds for macOS

From: Jim Myhrberg <[email-masked]>
Date: Mon, 21 Sep 2020 23:40:38 +0100

I'm afraid I've tried all the guess-based tweaks I can think of
without any luck, mostly just changing the two PATH_* variables
around.

On Mon, Sep 21, 2020 at 10:17 PM Jim Myhrberg <[email-masked]> wrote:
>
> Hi Andrea,
>
> I've just tested that branch, and I'm afraid it doesn't work. It
> starts native compiling cconv.el and others like before. Looking at
> the changes, I believe it's looking for "Emacs.app" within
> PATH_DUMPLOADSEARCH, which didn't actually contain that in my build
> directory, it was PATH_LOADSEARCH that did. So currently that branch
> doesn't find the bundled *.eln files even when the app is named
> "Emacs.app".
>
> And annoyingly we also need to support it if the user renames the app
> to something else, like "Emacs 28.app", or "Emacs Native.app", or even
> something crazy like "fooBar! LaLa.app".
>
> My knowledge of C is mostly non-existent, but in an effort to reduce
> the feedback loop and not take up too much of your time, I'll try some
> guess-based tweaks and see if I have any success :)
>
> Thanks again :)
>
> On Mon, Sep 21, 2020 at 8:38 PM Andrea Corallo <[email-masked]> wrote:
> >
> > Hi Jim,
> >
> > could you check what I've pushed to scratch/native-comp-macos-43532
> > works for you?
> >
> > I've done what I could to test it but is not much as I'm not on MacOS.
> >
> > Thanks
> >
> >   Andrea